Ubuntu

"Adobe Flash Player Settings" dialog does not respond to mouse clicks

Reported by Sean Fitzpatrick on 2011-10-03
776
This bug affects 186 people
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Unassigned
Midori
Undecided
Unassigned
Unity Distro Priority
Medium
Unassigned
adobe-flashplugin (Ubuntu)
Medium
Unassigned
midori (Ubuntu)
Undecided
Unassigned

Bug Description

Steps to reproduce:
1) Open a flash file. Be it a game, video, website, etc.
2) Right click on the flash player and select "Settings"
3) Try to click on something in the dialog box such as a checkbox or a tab

What is expected to happen:
The dialog box responds to user input, e.g. checking a checkbox or switching to a different tab.

What happens instead:
The dialog box does not respond. Nothing happens when the user interacts with it. The user must refresh the page to exit the dialog box.

Workaround #1:

1) Go to http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
2) Configure your Flash Player settings using the Settings Panel

Workaround #2:
1) Open Flash in fullscreen mode
2) Open Settings and configure your preferences

ORIGINAL DESCRIPTION:
Adobe flash player is configured on my system to ask before a website sets a flash cookie, so if a video (eg on youtube) is played, a dialogue box will pop up asking me whether or not to allow the website to store a cookie on my machine. However, nothing happens when I click on either 'allow' or 'deny', so the box stays put and I can't view or control the video playing beneath it.
On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a program for adjusting the flash player settings in the System Settings control panel, but that program is no longer there and not accessible via the dash, so there is no obvious way to just configure flash to allow all cookies and avoid the dialogue box.

Workaround: using Unity 2D instead

Notice : the problem has been already corrected two years before : https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/410407?comments=all
I'll add that it's perhaps because of Compiz : It works with Unity 2d, KDE, Gnome-Shell, Gnome-Session-With-No-Effect BUT it affects Ubuntu 3D, Gnome-Session Fallback and Cairo-Dock session

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
AddonCompatCheckDisabled: False
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
ApportVersion: 1.23-0ubuntu2
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: sean 1362 F.... pulseaudio
 /dev/snd/pcmC0D0p: sean 1362 F...m pulseaudio
BuildID: 20110929002329
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf7db8000 irq 44'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104383ce,00100004'
   Controls : 12
   Simple ctrls : 7
Channel: release
Date: Mon Oct 3 12:51:36 2011
ExecutablePath: /usr/lib/firefox-7.0.1/plugin-container
ForcedLayersAccel: False
IfupdownConfig:
 auto lo
 iface lo inet loopback
IncompatibleExtensions: NoScript - ID={73a6fe31-595d-460b-a920-fcc0f8843232}, Version=2.1.4, minVersion=1.9a2, maxVersion=1.9.6, Location=app-profile, Type=extension, Active=Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
IpRoute:
 default via 10.10.88.1 dev wlan0 proto static
 10.10.88.0/21 dev wlan0 proto kernel scope link src 10.10.92.255 metric 2
 169.254.0.0/16 dev wlan0 scope link metric 1000
Profiles: Profile0 (Default) - LastVersion=7.0.1/20110929002329 (Running)
RunningIncompatibleAddons: True
SourcePackage: firefox
UpgradeStatus: Upgraded to oneiric on 2011-08-26 (37 days ago)
dmi.bios.date: 10/16/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1102
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: 1005HA
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: x.xx
dmi.chassis.asset.tag: 0x00000000
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer INC.
dmi.chassis.version: x.x
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1102:bd10/16/2009:svnASUSTeKComputerINC.:pn1005HA:pvrx.x:rvnASUSTeKComputerINC.:rn1005HA:rvrx.xx:cvnASUSTeKComputerINC.:ct10:cvrx.x:
dmi.product.name: 1005HA
dmi.product.version: x.x
dmi.sys.vendor: ASUSTeK Computer INC.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in adobe-flashplugin (Ubuntu):
status: New → Confirmed
Edmund Laugasson (ed-lau) wrote :

I tried in Ubuntu 11.10 with Firefox 8.0 and 9.0.1 and also with Google Chrome 16.0.912.63 - same problem - cannot click on flash settings buttons. Even using TAB (pressing several times to jump to the next button) and moving onto button ALLOW and then pressing Enter or space - still nothing :( Even keyboard doesn't work, mouse too...
I tried at bambuser.com and also at livestream.com - both they need allow access to webcam and microphone. I also tried to change flash settings at http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager04.html and also other tabs - still nothing. I had idea, that if to allow by default all sites then I should not get such warning. But I even cannot allow this!
I even couldn't add at http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html no URL's - there is no add option (button)? I can delete only existing sites but not add new ones. Same problem is also at http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager09.html - cannot add new URL's :( Actually the same problem is also at http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager07.html - cannot add new URL's :(

Edmund Laugasson (ed-lau) wrote :

Additionally I would say, that in Ubuntu 10.04 LTS with latest updates and in Firefox 9.0.1 it works. But at the same time in Google Chrome doesn't work - it has built-in flash plugin. So, it seems like this problem appears on specific version of flash...

marw (marw) wrote :

Temporary remedy to this annoyance is logging into "Gnome Classic (No Effects)" (I'm on 11.10), and then do the settings.

Is this related to HW acceleration?

To test whether this affects you, go to any You Tube video, right-click on it when the playback starts, then select "Settings". Adobe Flash settings dialogue will show. Try closing it by clicking on "Close" button. If the dialogue does not respond, the bug affects you.

Jared (jared-vanvolkenburg) wrote :

I am experiencing this bug on ubuntu 11.10 with both firefox 9.01 and Google Chrome 17.0.963.26 beta; using Adobe Flash 11,1,102,55 in both Firfox and Chrome.
When I try to use my webcam I am presented with the adobe flash settings dialog asking me to allow or deny permission for the site to access my webcam and mic. Just like above, I am unable to select anything in the box, or the dialog box itself. The only way to get out of it is to close the tab and exit the page.

The problem is not present for me when using Unity 2D instead.

description: updated
Julian Alarcon (alarconj) wrote :

The problem is still there in Ubuntu 12.04

Julian Alarcon (alarconj) wrote :

According to the comments this bug is related to unity 3D, not Unity 2D

Omer Akram (om26er) wrote :

This bug is somewhere in compiz/unity

Changed in unity:
importance: Undecided → Medium
status: New → Confirmed
Changed in unity (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Omer Akram (om26er) on 2012-02-04
no longer affects: adobe-flashplugin (Ubuntu)
Changed in unity:
status: Confirmed → Triaged
Changed in unity (Ubuntu):
status: Confirmed → Triaged
tags: added: precise
Didier Roche (didrocks) on 2012-02-08
Changed in unity-distro-priority:
status: New → Fix Committed
importance: Undecided → Medium

This might help.

One workaround I found is to use the followin URL :

http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645

This will open the Flashplayer Settings Manager and will let you allow access to the website. You can use the "Always authorize" to avoid the flash popup that is causing issues.

Tim Penhey (thumper) on 2012-02-20
tags: added: distro-priority
Changed in compiz-core:
status: New → Triaged
importance: Undecided → Medium
Sam_ (and-sam) on 2012-03-05
tags: added: amd64
Omer Akram (om26er) wrote :

ping @compiz-devs.

Changed in unity:
milestone: none → backlog
Daniel van Vugt (vanvugt) wrote :

Looking at xwininfo -all, I can see the flash window is a distinct window within the browser. However the "Adobe Flash Player Settings" dialog is not an X Window at all. It's obviously rendered in software as part of the existing flash window. But once the dialog becomes visible, the existing flash window stops receiving events...

Changed in compiz-core:
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in unity:
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in unity (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
Daniel van Vugt (vanvugt) wrote :

Also, if you click within the flash window, tap space to pause (youtube), you can then tab through the Adobe Flash Player Settings dialog with the keyboard. This seems to work fully in 12.04, and partially in 11.10.

summary: - Adobe flash settings 'allow-deny' dialogue does not respond
+ "Adobe Flash Player Settings" dialogue does not respond to mouse clicks
tags: added: rls-p-tracking
komputes (komputes) on 2012-03-20
tags: added: css-sponsored-p
komputes (komputes) on 2012-03-20
tags: added: rls-mgr-p-tracking
description: updated

I tested this in gnome-shell, metacity and compiz.

With all three wm's flash has the same problem. I was initially willing to bet that this kind of problem is because the flash subwindow expects to have input focus and perhaps it could be worth trying to engineer a fix around that ... although it will be tricky because I can't observe any existing "correct" behaviour.

Alistair Buxton (a-j-buxton) wrote :

On bug 967091 (aka the "smurf" bug), it is claimed that the dialogue works correctly with Unity-2D.

darkmatch (alexanderr-otto) wrote :

I've got the same Problem on Ubuntu 12.04.

Daniel van Vugt (vanvugt) wrote :

This bug was reported upstream in OSX too:
https://bugbase.adobe.com/index.cfm?event=bug&id=2918693

Changed in compiz-core:
status: Triaged → In Progress
Changed in unity:
status: Triaged → In Progress
whwi (whitewindow) wrote :

https://bugbase.adobe.com/index.cfm?event=bug&id=3054720

this was fixed for 11.2 i can confirm flash works fine in gnome.shell and unity 2d with 11.2 release

whwi (whitewindow) wrote :

but not in unity 3d compiz

Matthijs ten Kate (igadget) wrote :

Issue is still present on 12.04 beta2 with all updates installed until April 14. It's becoming a showstopper here for any of my colleagues to switch to Ubuntu since we (need to) use Spreed (www.spreed.com) almost on a daily basis. I've coped with it during the 11.10 cycle by using Unity 2D, but with 12.04 I was really hoping to not have to use this anymore. I am going to keep my fingers crossed....

Mathieu Cossette (mcossette) wrote :

I had this bug once when in Lucid Lynx, once when I was in 11.10 etc... now on 12.04 LTS

... I think the issue is Flash dialogue box instead.. even with tab it won't respond !

Daniel van Vugt (vanvugt) wrote :

I've finally devoted some proper time to this today. So far no interesting news. There do not appear to be any WM events between when a flash window responds to the mouse and when it stops responding (while the dialog is open). So it seems like a behavioural change in the flash plugin itself when running under compiz, and not something is doing or failing to do. I could be wrong of course...

Sam_ (and-sam) wrote :

Settings dialog definitely responds fine in full screen mode with e.g. youtube, vimeo a.o. on firefox 11.0

flashplugin-installer:
  Installed: 11.2.202.233ubuntu2
  Candidate: 11.2.202.233ubuntu2
  Version table:
 *** 11.2.202.233ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ precise/multiverse amd64 Packages
        100 /var/lib/dpkg/status

Daniel van Vugt (vanvugt) wrote :

I'm getting the same bug in Metacity now. No compiz running. It certainly seems like the bug is in the flash plugin.

affects: unity (Ubuntu) → adobe-flashplugin (Ubuntu)
Changed in adobe-flashplugin (Ubuntu):
assignee: Daniel van Vugt (vanvugt) → nobody
no longer affects: compiz-core
no longer affects: unity
whwi (whitewindow) wrote :

works for me with ubuntu and gnome-shell no problems

LNX 11,2,202,228 flashplayer

whwi (whitewindow) wrote :

retest with latest flash player 11.2.202.233 works too

whwi (whitewindow) wrote :

test with metacity --replace
works too

turbolad (turbolad995) wrote :

I never had this problem until I upgraded to Ubuntu 12.04 and now I can't click on the Flash Player settings dialogue.

Jeb E. (jebeld17) wrote :

I never had the problem, either... that is until I switched to Ubuntu 12.04! Now the problem can seriously interfere with my computing, both during work and play! I have tried all sorts of web browsers, from Firefox to Midori to Chromium to Google Chrome, which uses a separate Flash Player engine than the others, all to no avail. This problem needs to be fixed: My customers that I work on their computers for are experiencing the same problem and are starting to complain. I don't want people to start hating Ubuntu again for stupid little reasons!

Jeb E. (jebeld17) wrote :

I found a workaround:
Use "Ubuntu 2D", "GNOME", or some other desktop environment besides the classic "Ubuntu" desktop environment on 12.04, and the problem fixes itself. The problem obviously deals with Unity.

Download full text (4.8 KiB)

Thanks. I'm a Linux newbie. Where would I get Ubuntu 2D?

On Mon, May 7, 2012 at 5:15 AM, Jeb E. <email address hidden> wrote:

> I found a workaround:
> Use "Ubuntu 2D", "GNOME", or some other desktop environment besides the
> classic "Ubuntu" desktop environment on 12.04, and the problem fixes
> itself. The problem obviously deals with Unity.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> New
> Status in Unity Distro Priority:
> Fix Committed
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> New
> Status in “firefox” package in Ubuntu:
> New
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 0/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.23-0ubuntu2
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: sean 1362 F.... pulseaudio
> /dev/snd/pcmC0D0p: sean 1362 F...m pulseaudio
> BuildID: 20110929002329
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf7db8000 irq 44'
> Mixer name : 'Realtek ALC269'
> Components : 'HDA:10ec0269,104383ce,00100004'
> Controls : 12
> Simple ctrls : 7...

Read more...

@Br. Tikhon Pethoud (brtikhon) log out of Ubuntu by selecting the "Log Out" option in the top-right menu. On the login screen by your username, click the round icon and a menu will appear. Select "Ubuntu 2D" on that list and login. Now everything will still look familiar, but it will be in "2D" mode instead of "3D" mode.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in chromium-browser (Ubuntu):
status: New → Confirmed
Changed in firefox (Ubuntu):
status: New → Confirmed
Changed in midori (Ubuntu):
status: New → Confirmed
Download full text (5.0 KiB)

Thank you so much!

On Mon, May 7, 2012 at 12:11 PM, turbolad <email address hidden> wrote:

> @Br. Tikhon Pethoud (brtikhon) log out of Ubuntu by selecting the "Log
> Out" option in the top-right menu. On the login screen by your
> username, click the round icon and a menu will appear. Select "Ubuntu
> 2D" on that list and login. Now everything will still look familiar,
> but it will be in "2D" mode instead of "3D" mode.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> New
> Status in Unity Distro Priority:
> Fix Committed
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> New
> Status in “firefox” package in Ubuntu:
> New
> Status in “midori” package in Ubuntu:
> New
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 0/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.23-0ubuntu2
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: sean 1362 F.... pulseaudio
> /dev/snd/pcmC0D0p: sean 1362 F...m pulseaudio
> BuildID: 20110929002329
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf7db8000 irq 44'
> ...

Read more...

Br. Tikhon Pethoud (brtikhon) wrote :
Download full text (5.1 KiB)

I followed your instructions. However, there wasn't a round icon by my user
name by which to select "Ubuntu 2D". Is there another way of accessing it?

Thanks

On Mon, May 7, 2012 at 12:11 PM, turbolad <email address hidden> wrote:

> @Br. Tikhon Pethoud (brtikhon) log out of Ubuntu by selecting the "Log
> Out" option in the top-right menu. On the login screen by your
> username, click the round icon and a menu will appear. Select "Ubuntu
> 2D" on that list and login. Now everything will still look familiar,
> but it will be in "2D" mode instead of "3D" mode.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> New
> Status in Unity Distro Priority:
> Fix Committed
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> New
> Status in “firefox” package in Ubuntu:
> New
> Status in “midori” package in Ubuntu:
> New
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 0/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.23-0ubuntu2
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: sean 1362 F.... pulseaudio
> /dev/snd/pcmC0D0p: sean 1362 F...m pulseaudio
> BuildID: 2011092900...

Read more...

Sorry, I accidentally clicked on "Fix released!" :(
No such thing has happened yet... Flash is still being stupid.

Can one of the moderators please fix my silly mistake? Thank you :)

Changed in unity-distro-priority:
status: Fix Committed → Fix Released
Changed in midori:
status: New → Confirmed
turbolad (turbolad995) wrote :

@Br. Tikhon Pethoud (brtikhon)

It depends what version of Ubuntu you are using. Earlier versions allowed you to change the desktop interface on the login screen by selecting the option at the bottom of the login screen e.g. GNOME. In newer versions of Ubuntu, you have a little round thing available when you click on your username; it may appear is a "cog" or the round Ubuntu logo. Clicking on it will allow you to change to the 2D option.

A permanent workaround: when you're logged in, you could go into the "Software Centre" (or "Center") search for and install gnome-panel (make sure you type it as gnome-panel). When installed, logout and change the option to "Gnome Classic no Effects"), again by clicking on the round icon by your username on the login screen.

This problem with Flash Player settings not working is definitely caused by Unity.

Download full text (5.7 KiB)

Gnome-panel is already installed on my computer. When I log out and then
log in I don't have a "cog" or option to choose "gnome classic no effects".

I'm running Ubuntu 10.04 LTS the "Lucid Lynx".

Thanks

On Tue, May 8, 2012 at 4:04 AM, turbolad <email address hidden> wrote:

> @Br. Tikhon Pethoud (brtikhon)
>
> It depends what version of Ubuntu you are using. Earlier versions
> allowed you to change the desktop interface on the login screen by
> selecting the option at the bottom of the login screen e.g. GNOME. In
> newer versions of Ubuntu, you have a little round thing available when
> you click on your username; it may appear is a "cog" or the round Ubuntu
> logo. Clicking on it will allow you to change to the 2D option.
>
> A permanent workaround: when you're logged in, you could go into the
> "Software Centre" (or "Center") search for and install gnome-panel (make
> sure you type it as gnome-panel). When installed, logout and change the
> option to "Gnome Classic no Effects"), again by clicking on the round
> icon by your username on the login screen.
>
> This problem with Flash Player settings not working is definitely caused
> by Unity.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> Confirmed
> Status in Unity Distro Priority:
> Fix Released
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> Confirmed
> Status in “firefox” package in Ubuntu:
> Confirmed
> Status in “midori” package in Ubuntu:
> Confirmed
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDev...

Read more...

The option will be in a drop-down list at the bottom of the login screen, in the middle I think?

If I remember rightly, the option is called "Ubuntu Classic (no effects)"? It's been a long time since I used the 10.04 version.

Please let me know if that works.

Download full text (5.0 KiB)

The only option I have is "gnome failsafe" but not "Ubuntu Classic" (no
effects). I tried gnome failsafe but that didn't do anything.

Thanks

On Tue, May 8, 2012 at 1:30 PM, turbolad <email address hidden> wrote:

> The option will be in a drop-down list at the bottom of the login
> screen, in the middle I think?
>
> If I remember rightly, the option is called "Ubuntu Classic (no
> effects)"? It's been a long time since I used the 10.04 version.
>
> Please let me know if that works.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> Confirmed
> Status in Unity Distro Priority:
> Fix Released
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> Confirmed
> Status in “firefox” package in Ubuntu:
> Confirmed
> Status in “midori” package in Ubuntu:
> Confirmed
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 0/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.23-0ubuntu2
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: sean 1362 F.... pulseaudio
> /dev/snd/pcmC0D0p: sean 1362 F...m pulseaudio
> BuildID: 20110929002329
> CRDA: Error: [Errno 2] No such file or directory
...

Read more...

In 10.04 and earlier compiz was enabled by default but could be toggled on and off. You can either hit Alt-F2 and then enter metacity --replace or you can install the compiz fusion icon (this may have been called fusion-icon; it's been a long time since I was on 10.04.) This gives you a little icon in the system tray you can use to switch between compiz and metacity as your window manager.

Download full text (5.4 KiB)

Thanks, Sean.

There is no "compiz fusion icon" or "fusion-icon" option to add to the
panel. I tried ALT F2 metacity --replace. (I'm not sure what that did
because everything looks the same.) Unfortunately, I still can't get the
buttons to respond to mouse clicks on the Amazon Cloud Player and I still
don't see the playback controls in Youtube.

On Tue, May 8, 2012 at 6:09 PM, Sean Fitzpatrick <
<email address hidden>> wrote:

> In 10.04 and earlier compiz was enabled by default but could be toggled
> on and off. You can either hit Alt-F2 and then enter metacity --replace
> or you can install the compiz fusion icon (this may have been called
> fusion-icon; it's been a long time since I was on 10.04.) This gives you
> a little icon in the system tray you can use to switch between compiz
> and metacity as your window manager.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> Confirmed
> Status in Unity Distro Priority:
> Fix Released
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> Confirmed
> Status in “firefox” package in Ubuntu:
> Confirmed
> Status in “midori” package in Ubuntu:
> Confirmed
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 0/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.23-0ubuntu2
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel],...

Read more...

Same problem with 12.04 64 XFCE, running Compiz.

None of the above workarounds worked for me.

This problem prevented me from playing any flash games that had saved files, because it would ask for permission to save the file and hang there. Even setting default to 10MB didn't solve problem.

What did work was:

1) metacity --replace
2) Start the flash games, get to the point where it asks for authorization, authorize
3) compiz --replace

Each authorization should be permanent, so once you enable once it should solve it forever for that game.
Never had this problem on other flash apps, such as video. Good luck!

Changed in firefox (Ubuntu):
status: Confirmed → Invalid
Changed in chromium-browser (Ubuntu):
status: Confirmed → Invalid
Coeur Noir (gerald-maruccia-e) wrote :

https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/1000430

This "bug" affects me in :
- unity 3D
- gnome-classic-fallback
- cairo session

This bug does NOT affect me in :
- unity 2D
- gnome-shell
- gnome-classic-NO-effect
- KDE

all based on ubuntu 12.04

Download full text (5.2 KiB)

I'm using Ubuntu 10.04 LTS. Can I use unity 2D, gnome-shell,
gnome-classic-NO-effect, or KDE? If so, where would I get them? I'm new to
Linux.

I have gnome "failsafe" which I tried using but it didn't correct the flash
player problem.

Thanks.

On Thu, May 17, 2012 at 8:41 PM, Gérald Maruccia
<email address hidden>wrote:

> https://bugs.launchpad.net/ubuntu/+source/flashplugin-
> nonfree/+bug/1000430
>
> This "bug" affects me in :
> - unity 3D
> - gnome-classic-fallback
> - cairo session
>
> This bug does NOT affect me in :
> - unity 2D
> - gnome-shell
> - gnome-classic-NO-effect
> - KDE
>
> all based on ubuntu 12.04
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> Confirmed
> Status in Unity Distro Priority:
> Fix Released
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> Invalid
> Status in “firefox” package in Ubuntu:
> Invalid
> Status in “midori” package in Ubuntu:
> Confirmed
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 0/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.23-0ubuntu2
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: sean 1362 F.... pulseaudio
> /d...

Read more...

description: updated
description: updated
description: updated

I just tested compiz 0.8.8 which I built from source on precise, and this bug doesn't show up there.

Coeur Noir (gerald-maruccia-e) wrote :

Hi Alistair, do U mean you've compiled an elder version of compiz on ubuntu 12.04 ?

Alistair Buxton (a-j-buxton) wrote :

Yes, precisely (lol)

I used the guide here: http://wiki.compiz.org/Installation/Stable

Used 0.8.8 packages where available, or the newest 0.8.x where they are not. You have to remove distro compiz-core and everything that depends on it to do this, so obviously it breaks Unity.

Alistair Buxton (a-j-buxton) wrote :

Also, these all default to using compiz in 12.04, if it is installed:
- unity 3D
- gnome-classic-fallback
- cairo session

And these all do not:
- unity 2D (metacity)
- gnome-shell (mutter)
- gnome-classic-NO-effect (metacity)
- KDE (kwin)

turbolad (turbolad995) wrote :

I use "Gnome Classic NO effects" when I have video problems in Unity.
Maybe compiz is the culprit to these Unity glitches?

Yes, it's what I said in "Notice" ;)

brian mullan (bmullan) wrote :

One thing I learned experimenting..

If I am on a Ubuntu x64 bit pc and using my browser to connect to a 32 bit web server and it offers me the flash player
the Flash Player User Settings menu DOES allow me to click on it.

If however I use my browser to connect to a x64 bit web server and it offers me the Flash Player, the Flash Player User Settings menu does NOT let me click on any menu options.

Changed in compiz:
status: New → Confirmed
status: Confirmed → New
Matthijs ten Kate (igadget) wrote :

Still no fix? I would just like to add that the workarounds all have their own issues:
1. http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645 - no matter how many times I set it to allow eu42.spreed.com, it always seems to 'forget' this after some time and I have to set it again. And again. And again.
2. Navigating through the dialogue using the keyboard - does not work since 'space' does not activate any settings here.
3. And Unity 2D... well... it's just that. I've had to cope with it for 6 months and I really don't want to go back.

So what is keeping this bug from being fixed? 8 months and counting... Is it really that hard?

turbolad (turbolad995) wrote :

Is this bug also caused by compiz rather than Unity? Many bug reports about problems with programs and Unity, including a few bug reports I've posted, seem to be caused by compiz.

Marc Deslauriers (mdeslaur) wrote :

Apparently compiz isn't getting the mouse events from flash...someone from adobe needs to take a look.

Download full text (5.2 KiB)

So how does one get Adobe to look into it? Are they motivated to fix their
bug for Linux users?

On Wed, Jun 13, 2012 at 6:17 PM, Marc Deslauriers <
<email address hidden>> wrote:

> Apparently compiz isn't getting the mouse events from flash...someone
> from adobe needs to take a look.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialogue does not respond to mouse
> clicks
>
> Status in Chromium Browser:
> New
> Status in Compiz:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> Confirmed
> Status in Unity Distro Priority:
> Fix Released
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> Invalid
> Status in “firefox” package in Ubuntu:
> Invalid
> Status in “midori” package in Ubuntu:
> Confirmed
>
> Bug description:
> WORKAROUNDS:
>
> 1.
>
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
>
> 2. Click on the flash window. Now use the keyboard to tab through the
> settings dialog. Space to select.
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> Notice : the problem has been already corrected two years before :
> https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/410407?comments=all
> I'll add that it's perhaps because of Compiz : It works with Unity 2d,
> KDE, Gnome-Shell, Gnome-Session-With-No-Effect BUT it affects Ubuntu 3D,
> Gnome-Session Fallback and Caito-Dock session
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic i686
> AddonCompatCheckDisabled: False
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 0/1
> Subdevice #0: subdevice #0
> ApportVersion: 1.23-0ubuntu2
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/co...

Read more...

summary: - "Adobe Flash Player Settings" dialogue does not respond to mouse clicks
+ "Adobe Flash Player Settings" dialog does not respond to mouse clicks
Edmund Laugasson (ed-lau) wrote :

I can also confirm, that I cannot store any website to automatically allow use webcam and mic - it will forget them. I guess such settings should be web based to use them in different computers.

Alistair Buxton (a-j-buxton) wrote :

Today I was working on my hack to fix Flash fullscreen mode and I noticed that when the settings dialogue is open Flash spams hundreds of XGetGeometry() calls on the root window. I can't see a good reason why Flash needs to check the size of the root window several times per second whenever that window is open, but it probably indicates that the dialogue is doing something really nasty and that is probably related to why it doesn't work properly.

description: updated
Robert Charlton (rectec) on 2012-11-09
description: updated
Robert Charlton (rectec) wrote :

In order to get new people up to speed on this bug, I have improved the description. I have also attached a demo video to this comment. I am contributing to this from Bug #1076881, which was marked as a duplicate of this. Good luck on a fix, guys.

Robert Zelic (zeroberto) wrote :

I have the same issue, but on Slackware 14 64bit and XFCE, so no unity. I can switch to another tab on the bottom using the tab and space buttons, but can't change any option.
On the workaround page everything works, even with the mouse, but I can't find the option where to turn on and off hardware acceleration.

Robert Charlton (rectec) wrote :

Robert Zelic, that's odd. I you sure it's not a problem specific to yourself? If it isn't, I think we'll need a whole other bug report just for adobe-flash-plugin. Then again, IMO, we should be focusing on open source alternatives rather than try to bandage this semi-abandoned piece of software.

Robert Charlton (rectec) wrote :

(Added 2nd workaround, other minor edits.)

description: updated
Robert Zelic (zeroberto) wrote :

I don't know if the problem is specific to my system only. I'm using one of the latest rev, it is 3469 compiled by myself. I'll try it on Arch too when I find time for that.
The workaround #2 works, everything is ok in fullscreen mode.
Also, I have 2 more bugs to report that are related to flash, but I need more testing first.

I agree that Adobe Flash Player is a semi-abandod piece of software, but
it will take years before Flash will be completely gone from the
internet. Maybe it will take 15 years. Everybody knows that ie6's
lifetime was way too long. Some functionality provided by Flash is not
supported by other techniques, like video conferencing. It will take
years before other techniques will be mainstream to support this and
flash will be the only way to provide cross-browser, cross-platform
video conference (webcam and audio) support. Flash is too important on
the internet at the moment to have such a big bug in linux. I have
developed a chat site and the only way to support webcam chat with audio
is using flash. On linux this is always problematic and going to the
global settings just isn't a good solution.

On 11/15/2012 01:39 AM, Robert Charlton wrote:
> Robert Zelic, that's odd. I you sure it's not a problem specific to
> yourself? If it isn't, I think we'll need a whole other bug report just
> for adobe-flash-plugin. Then again, IMO, we should be focusing on open
> source alternatives rather than try to bandage this semi-abandoned piece
> of software.
>

Lockal (lockal) wrote :

The problem is still there in early Ubuntu 13.04 (raring).

Richard Best (sosaudio1) wrote :

Just a heads up to add to this. This has been an issue in e17 Enlightenment Desktop for a while. I suspect that the compositor settings are to blame here. Wasn't there a way to force certain apps to be punched out of the compiz settings....compositor settings?? Going to the extreme, is there a way just to get the Adobe settings to be completely disabled?

Let me also point out that if you save a website to the "right click allow" flash settings, it will allow it via the website BUT, if you for whatever reason decide that you want to open the same site with the settings saved in a "private browser" setting in say Firefox, those settings are discarded and you are back to the same issue WITH the settings you made.

Extra info to add to help fix the bug

Ham Radio (elijah-ezcomputers) wrote :

Affects me too. Please fix.

Ham Radio (elijah-ezcomputers) wrote :

This bug is over a year old. Can we please have a fix, and backport it to Ubuntu 12.04? Thanks!

Download full text (5.9 KiB)

Here's an interesting bit: in chrome, using built in flash plugin (11.5,
NPAPI) mouse clicks work, although webcam video doesn't work (shows as
solid green color).

Gonçalo Marrafa

On Thu, Jan 17, 2013 at 3:59 AM, Ham Radio <email address hidden>wrote:

> This bug is over a year old. Can we please have a fix, and backport it
> to Ubuntu 12.04? Thanks!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (878743).
> https://bugs.launchpad.net/bugs/865672
>
> Title:
> "Adobe Flash Player Settings" dialog does not respond to mouse clicks
>
> Status in Chromium Browser:
> New
> Status in Compiz:
> New
> Status in The Mozilla Firefox Browser:
> New
> Status in Midori: Webkit Web browser:
> Confirmed
> Status in Unity Distro Priority:
> Fix Released
> Status in “adobe-flashplugin” package in Ubuntu:
> Triaged
> Status in “chromium-browser” package in Ubuntu:
> Invalid
> Status in “firefox” package in Ubuntu:
> Invalid
> Status in “midori” package in Ubuntu:
> Confirmed
>
> Bug description:
> Steps to reproduce:
> 1) Open a flash file. Be it a game, video, website, etc.
> 2) Right click on the flash player and select "Settings"
> 3) Try to click on something in the dialog box such as a checkbox or a
> tab
>
> What is expected to happen:
> The dialog box responds to user input, e.g. checking a checkbox or
> switching to a different tab.
>
> What happens instead:
> The dialog box does not respond. Nothing happens when the user interacts
> with it. The user must refresh the page to exit the dialog box.
>
> Workaround #1:
>
> 1) Go to
> http://www.macromedia.com/support/documentation/en/flashplayer/help/settings_manager06.html#117645
> 2) Configure your Flash Player settings using the Settings Panel
>
> Workaround #2:
> 1) Open Flash in fullscreen mode
> 2) Open Settings and configure your preferences
>
> ORIGINAL DESCRIPTION:
> Adobe flash player is configured on my system to ask before a website
> sets a flash cookie, so if a video (eg on youtube) is played, a dialogue
> box will pop up asking me whether or not to allow the website to store a
> cookie on my machine. However, nothing happens when I click on either
> 'allow' or 'deny', so the box stays put and I can't view or control the
> video playing beneath it.
> On this machine I upgraded from 11.04 to 11.10; in 11.04 there was a
> program for adjusting the flash player settings in the System Settings
> control panel, but that program is no longer there and not accessible via
> the dash, so there is no obvious way to just configure flash to allow all
> cookies and avoid the dialogue box.
>
> Workaround: using Unity 2D instead
>
> Notice : the problem has been already corrected two years before :
> https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/410407?comments=all
> I'll add that it's perhaps because of Compiz : It works with Unity 2d,
> KDE, Gnome-Shell, Gnome-Session-With-No-Effect BUT it affects Ubuntu 3D,
> Gnome-Session Fallback and Cairo-Dock session
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: firefox 7.0.1+build1+nobinonly-0ubuntu1
>...

Read more...

gue5t gue5t (gue5t) on 2013-01-17
Changed in midori:
status: Confirmed → Invalid
J Phani Mahesh (phanimahesh) wrote :

Unfixed in 12.10 as on 28 feb 2013.

Valdisvi (valdis-vitolins) wrote :

It still is not fixed in Ubuntu 12.04.2 on March 19, 2013.
However my understanding is, that it affects only 64-bit editions, using Compiz (3D accelerated) Unity.
For me checking off of hardware acceleration did't work, but I found that awkward workaround for this is logging into 2D session (click on Ubuntu logo in login screen and select Unity 2D).

Elias Aarnio (elias-aarnio) wrote :

As Unity 2D has been removed from 12.10 there is a need for another workaround. I found out that the flash player settings dialog works in Gnome classic (No effects) -session in 12.10 64 bit Ubuntu.

Does this not hint that the problem is in 3d acceleration?

In any case this is a bug that IMHO must be fixed before leaving the working desktop alternatives out of the distribution. This bug means that Ubuntu is inusable for people who host or attend with voice and camera web conferences held with Flash based software like OpenMeetings or Adobe Connect.

Adobe has really bad reputation for supporting Linux. This is a bug where FLOSS community can show that it is not that bad the other way around.

Elias Aarnio (elias-aarnio) wrote :

Installed Gnome-shell on my 12.10 64-bit laptop. Flash dialog works.

As far as I understand this means that the windows manager of Unity is broken. Or is it Compiz? All the same - this should be fixed.

Installed gnome-shell on my latest 13.04 laptop. Logged in using "gnome fallback -- no effects". Flash dialog DOES NOT WORK still.

I can tab through the buttons in the flash dialog, e.g. to highlight "accept". Pressing space or enter does nothing.
 If I then click on Accept, it simply becomes unhighlighted.

This is true under default Unity and under "gnome fallback."

(Desperately in need of a workaround)

Try installing Gnome desktop, package gnome-shell. That did the trick im 12.10.

Christopher Barrington-Leigh kirjoitti 8.4.2013 17:19:

Installed gnome-shell on my latest 13.04 laptop. Logged in using "gnome
fallback -- no effects". Flash dialog DOES NOT WORK still.

I can tab through the buttons in the flash dialog, e.g. to highlight "accept". Pressing space or enter does nothing.
If I then click on Accept, it simply becomes unhighlighted.

This is true under default Unity and under "gnome fallback."

(Desperately in need of a workaround)

--

You received this bug notification because you are subscribed to the bug
report.

https://bugs.launchpad.net/bugs/865672

Title:
"Adobe Flash Player Settings" dialog does not respond to mouse clicks

To manage notifications about this bug go to:

https://bugs.launchpad.net/bugs/865672

Elias Aarnio: I do not see how your advice is different from what I wrote I had just tried (which failed.)

Workaround:

For those desperate enough for a workaround, I can suggest this: install Google Chrome. Unlike Chromium and other browsers, it has its Flash built-in. Its Flash popup works fine for me in 13.04, standard Unity, for video conferencing using a commercial service which failed under 13.04 Chromium and 12.01 Chromium, even under gnome-shell.

oriolpont (oriolpont) wrote :

You do not need the closed-source Google Chrome just to run its Flash plugin. It is also available in Chromium:

chromium --ppapi-flash-path=libpepflashplayer.so --ppapi-flash-version=VERSION

You can extract the libpepflashplayer.so from chrome package. E.g., first download

https://dl.google.com/dl/linux/direct/google-chrome-stable_current_amd64.deb

and extract it:

ar p "./chrome.deb" "./data.tar.lzma" | xzcat | tar xO "./opt/google/chrome/PepperFlash/libpepflashplayer.so" > "./libpepflashplayer.so"

The Flash version is available in the package manifest:

ar p "./chrome.deb" "./data.tar.lzma" | xzcat | tar xO "./opt/google/chrome/PepperFlash/manifest.json" | grep "version"

Elias Aarnio (elias-aarnio) wrote :

Christopher: Sorry, I read your message too hastily.

Elias Aarnio (elias-aarnio) wrote :

Christopher: I tested Gnome (gnome-shell) on a fresh install of 13.04 64-bit. The flash dialog worked for me. The login selection is called Gnome in GDM.

Hope it works for you!

Rui Castro (rui.castro) wrote :

This problem also occurs in Ubuntu 13.04 beta 2 using Unity

Alexander Gabriel (einalex) wrote :

THis problem also occurs in Ubuntu 13.04 (not the beta but the final released version)

Francisco Cribari (cribari) wrote :

The problem remains in Ubuntu 13.04 (with all browsers).

no longer affects: chromium-browser (Ubuntu)
no longer affects: firefox (Ubuntu)
no longer affects: chromium-browser
no longer affects: firefox

Chris, problem still exist on 13.04 with latest updates, only Google Chrome with 11.7 PPAPI Flash Player dont have this problem, with 11.2 NPAPI Flash Player problem affect Google Chrome to

Chris Coulson (chrisccoulson) wrote :

Yes, this is a bug in the Flash Player. There's not really anything we can do about it.

17.05.2013 10:03, Chris Coulson kirjoitti:
> Yes, this is a bug in the Flash Player. There's not really anything we
> can do about it.
>
It is not a bug in Flash Player. If you read through all the reports you
see that the settings freeze problem is not a problem with Gnome desktop
for example. IMHO the bug is in Unity.

--
Elias Aarnio
Kousakatu 9
20780 KAARINA
040-5411832

Marc Deslauriers (mdeslaur) wrote :

Flash Player doesn't properly handle compositing window managers. It is a bug in Flash Player that needs to be fixed by Adobe.

whwi (whitewindow) wrote :

hello

@Marc Deslauriers (mdeslaur)

and why does it work with gnome shell ? its also a compositing windows manager ...

Marc Deslauriers (mdeslaur) wrote :

Because I believe flash contains a workaround for gnome shell.

whwi (whitewindow) wrote :

i think no kwin works fine too

I agree with you @whwi, but the problem comes from Compiz, not from Unity. (but the Ubuntu Team is in charge of Compiz if I remember correctly)
Flash 11.2 (the last version given by Adobe to GNU/Linux OS) works fine with Mutter, Metacity (Unity 2D in Ubuntu 12.04 LTS), XFWM, Openbox, Kwin and the others. We've tested that, some others from the french community and me when I was working with them.
Whatever you say, the problem DOES NOT COME FROM adobe. (even if this plugin is awful). BUT, it apparently not concern the version included in Google Chrome (does not depend on the version of flash, but in the fact that Flash is included and integrated in Chrome)

whwi (whitewindow) wrote :

so Ubuntu 14.04 LTS will use compiz again this should be fixed in compiz now

It happen with me too!
I can't to use the Science Without Borders of Brazil in the part speaking(Adobe Flash Player Settings), https://myelt.heinle.com/ilrn/authentication/signIn.do?inst=MYELT.
System Operating information:
Ubuntu 13.10;
Current Operatin system is Linux 3.11.0-14 generic x86_64.
Thanks for any help.

Coeur Noir (gerald-maruccia-e) wrote :

Still the same problem in Ubuntu 13.10 / Unity.

It's ok with KDE environnement, or Elementary...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions